This object allows you to create custom Campaigns. A Campaign is characterized by a set of rules, defined as a SQL query created in Redash and associated with the Campaign. A Campaign can be triggered at predefined intervals. For example, a Campaign can be triggered every day to add borrowers who are 30 days past due. Campaigns can also be manually triggered. When a Campaign is triggered by schedule or manually, a query is executed against the lender's replica data and returns a list of person IDs. The output is sent to the configured Contact Exporter to be written as a configurable CSV file with contact information required by auto dialers and other systems.
Get a list of all campaigns.
Security
oauth2(Required scopes: borrowercampaign:list) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/campaigns?sortBy=string&limit=25&startingAfter=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
Response
- General
- bulkSender
- bulkSender: paymentDueDateReminder
- bulkSender: loanOverdueNthNotice
- bulkSender: autopayPaymentReminder
- bulkSender: loginFirstPaymentReminder
- bulkSender: autopayEnableReminder
- bulkSender: autopayAmountChanged
- bulkSender: futurepayPaymentDueReminder
- bulkSender: loanRightToCurePersonalUnsecured
- bulkSender: cardExpiresReminder
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }